## org.eclipse.datatools.sqltools.routineeditor.parameter
Class EventParameter

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.parameter.EventParameter

    public class EventParameter

extends java.lang.Object

A simple wrapper for parameter used in a event.

Author:
  Hui Cao

Constructor Summary
`EventParameter()`
`EventParameter(java.lang.String _name, java.lang.String _value)` Constructs an instance with the name value pair

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`void` `setName(java.lang.String name)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventParameter

    public EventParameter()

### EventParameter

    public EventParameter(java.lang.String _name,
                          java.lang.String _value)

  Constructs an instance with the name value pair

  Parameters:
    `_name` -
    `_value` -

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)